Users
Update user email
Update the email address for a user account.
PATCH
/
users
/
me
/
email
Update user email
curl --request PATCH \
--url https://{host}/users/me/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-user-id: <x-user-id>' \
--data '
{
"email": "new.email@example.com"
}
'import requests
url = "https://{host}/users/me/email"
payload = { "email": "new.email@example.com" }
headers = {
"x-user-id": "<x-user-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-user-id': '<x-user-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({email: 'new.email@example.com'})
};
fetch('https://{host}/users/me/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Auth0-issued access token that includes the scopes listed for the endpoint.
Headers
MongoDB ObjectId of the authenticated user
Pattern:
^[a-f0-9]{24}$Body
application/json
New email address. Must be unique across the platform.
Example:
"new.email@example.com"
Response
Email updated successfully
⌘I
Update user email
